/*  task01
*	MIRS9905
*	Task01  : gZT^XN
*
*/

#include "mirx68k.h"
#include "hard.h"

#define ST_01 10

static int uss_no;
static int distance;

void inzt01(){
	rs_snd("task01 inzt\n");
	sys0(1,0x1011);
	uss_init();
	sys2(1,ST_01,0,0);
	sys4(1);
	sys5(1,0,USS_INT_VCT,0,0);
	sys11(1);
	
	sys8(1,0,0);
	sys8(1,1,0);     /* distance of ch1 */	
	sys8(1,2,0);     /* distance of ch2 */
	sys8(1,3,0);     /* distance of ch3 */
	sys8(1,4,0);     /* distance of ch4 */
	sys8(1,5,0);
	sys8(1,6,0);
	sys8(1,7,0);
	sys8(1,8,0);
	sys8(1,9,0);
	
	distance = 0;
	
	rs_snd("task01 inzt end\n");
}

void nrmt01(int cm,int scm){
}

void timt01(int cm,int scm){
	rs_snd("task01 timt\n");
	uss_no = sys9(0,9);
	uss_start(uss_no);
	rs_snd("task01 timt end\n");
}

interrupt void intt01(){
	sys10(1);
	uss_stop();
	rs_snd("task01 intt\n");
	if(uss_chk_int()==1){
		if(uss_chk_conect()==1){
			switch(uss_no){
				case 1:  
					distance=999;
					sys8(1,1,distance);
					break;
				case 2:
					distance=999;
					sys8(1,2,distance);
					break;
				case 3:
					distance=999;
					sys8(1,3,distance);
					break;
				case 4:
					distance=999;
					sys8(1,4,distance);
					break;
				default:
					break;
			}
		}
	else{
			switch(uss_no){
				case 1:
					distance=uss_data();
					sys8(1,1,distance);
					iprint(distance,10);
					break;
				case 2:
					distance=uss_data();
					sys8(1,2,distance);
					iprint(distance,10);
					break;
				case 3:
					distance=uss_data();
					sys8(1,3,distance);
					iprint(distance,10);
					break;
				case 4:
					distance=uss_data();
					sys8(1,4,distance);
					iprint(distance,10);
					break;
				default:
					break;
			}
		}
	}
	else{
	uss_stop();
	}
	sys11(1);
}