/****************************************/
/*	MIRS9905 task04						*/
/*		PWM task						*/
/*		by Tomohiro Inaba				*/
/****************************************/
/*
 *	邱
 *	E^CԋTY_DIS̑
 *	E^CaTY_DIȂ
 *	Eōx̑
 *	E
 *
*/
#include "mirx68k.h"	/* MIRX68K header file */
#include "hard.h"		/* Hardware function library header file */


int pwm_r,pwm_l,count;

void inzt04(){
	sys0(4,0x1101);
	rs_snd("task04 inzt\n");
	
	sys5(4,1,BTN_INT_VCT,0,0);
	pwm_init();
	btn_enable_int();
	
	sys8(4,0,0);
	sys8(4,1,0);
	sys8(4,2,0);
	sys8(4,3,0);
	sys8(4,4,0);
	sys8(4,5,0);
	sys8(4,6,0);
	sys8(4,7,0);
	sys8(4,8,0);
	sys8(4,9,0);	/*{^XCb`*/
	
	count=pwm_r=pwm_l=0;
	
	rs_snd("task04 inzt end\n");
}

void nrmt04(int cm,int scm){
	sys4(0);
	sys4(1);
	sys4(2);
	sys4(3);
	
	rs_snd("task04 nrmt\n");
	switch(count){
		case 0:
			pwm_r=0;
			pwm_l=0;
			rs_snd("R=   0 L=   0\n");
			break;
		case 1:
			pwm_r=30;
			pwm_l=30;
			rs_snd("R=  30 L=  30\n");
			break;
		case 2:
			pwm_r=60;
			pwm_l=60;
			rs_snd("R=  60 L=  60\n");
			break;
		case 3:
			pwm_r=100;
			pwm_l=100;
			rs_snd("R= 100 L= 100\n");
			break;
		case 4:
			pwm_r=0;
			pwm_l=0;
			rs_snd("R=   0 L=   0\n");
			break;
		case 5:
			pwm_r=-30;
			pwm_l=-30;
			rs_snd("R= -30 L= -30\n");
			break;
		case 6:
			pwm_r=-60;
			pwm_l=-60;
			rs_snd("R= -60 L= -60\n");
			break;
		case 7:
			pwm_r=-100;
			pwm_l=-100;
			rs_snd("R=-100 L=-100\n");
			break;
		case 8:
			pwm_r=0;
			pwm_l=0;
			rs_snd("R=   0 L=   0\n");
			break;
		case 9:
			pwm_r=30;
			pwm_l=-30;
			rs_snd("R= 30 L= -30\n");
			break;
		case 10:
			pwm_r=0;
			pwm_l=0;
			rs_snd("R=   0 L=   0\n");
			break;
		case 11:
			pwm_r=-30;
			pwm_l=30;
			rs_snd("R= -30 L= 30\n");
			break;
		case 12:
			pwm_r=0;
			pwm_l=0;
			break;
		case 13:
			count=0;
			sys3(0,1);
			sys3(1,1);
			sys3(2,1);
			sys3(3,1);
			break;
		default :
		break;
	}
	pwm_data(pwm_r,pwm_l);
	
}

interrupt void intt04(){
	rs_snd("task04 intt\n");
	btn_disable_int();
	count++;
	sys8(4,9,count);
	sys1(4,0,0,0);
	btn_enable_int();
}

void timt04(int cm,int scm){

}
